Gladys v4.0.1 est disponible!

Salut à tous !

C’est la première mise à jour depuis le lancement de Gladys v4.0.0, et elle est disponible sur GitHub et en cours de build sur CircleCI ! :clap:

Quelles sont changements ?

  • De nombreux périphériques Philips Hue sont gérés, de manière automatique désormais !
  • La détection de périphérique Tasmota par HTTP est désormais possible.
  • De nombreux bugs ont été corrigés.
  • Une nouvelle page “service” (dans les paramètres) affiche la liste des services tournant/ne tournant pas sur une instance. Utile pour voir si un service est en erreur !

Le changelog complet est disponible sur GitHub.

Comment mettre à jour ?

Si vous avez installé Gladys avec l’image Raspbian officielle, vos instances se mettront à jour automatiquement quand le build sera terminé.

Si vous avez installé Gladys avec Docker, vérifiez que vous utilisez bien Watchtower (Voir la documentation)

Bravo à tous ceux qui ont participé à cette release !

7 Likes

Et le build est visible en temps réel ? (Je demande, j’y connais rien… :stuck_out_tongue: )

Pour être précis, c’est précis!!

Si j’ai bien compris, il n’est plus nécessaire de faire des PR pour rajouter des modèles de lampes dans le service. Vous avez modifié le code pour que toutes soient reconnues, c’est ça?
Que devient la liste des périphériques sur “Airtable” pour les lampes du moins?

Ça serait intéressant de pouvoir choisir l’icône que l’on veut mettre sur le dashboard pour tel ou tel périphérique.Cela permettrait de les identifier plus rapidement.
Des icônes comme sur l’application de Philips hue.

Il existe des bibliothèques d’icônes sur Github.
Ou même les icônes de Philips

Salut @pierre-gilles,
quand je veux me connecter à Gladys, j’obtiens ça :


En SSH : failed to connect… Connection reset by peer

Tout était fonctionnel plus tôt dans la soirée.

C’est plus une erreur dû à ton Raspberry Pi que Gladys en elle même, tu es sûr que ton Pi va bien ? J’ai l’impression que tu as beaucoup d’erreurs avec ton matériel ! Carte SD défectueuse peut-être ?

Est-ce qu’il y a un intérêt à couper les services que l’on utilise pas ?

Voilà ce que ça donne sur mon PC :
IP

Si je dis pas de bêtises tu es sous Firefox

Essaye de forcer un refresh Ctrl + R

Je l’avais fait et j’obtiens une page avec 3 onglets : JSON, Données brutes, En-têtes.
Gladys a fonctionné correctement depuis le 25 octobre, jusqu’à hier soir.
Le dernier message reçu sur Telegram date du 23/11 à 20h22.
J’ai créé une scène qui m’envoie un message toutes les heures.
J’ai testé ma carte sd avec h2testw avant d’installer Gladys : aucune erreur.

C’est la console ça, ferme la en appuyant sur F12 ou montre nous une capture d’écran complète de ton navigateur. Ça nous aidera dans la compréhension

ou il a l’affichage de l’API ?

ça me parait bizarre

Non, ce n’est pas la console.
La console est en bas de l’écran, ça c’est en haut.
Si je saisie l’adresse IP de Gladys, j’obtiens la page que j’ai collée en haut.
Si je fais ensuite F5 pour rafraichir la page, j’obtiens :
IP_Json


Aucun!

Est-ce que quelqu’un tourne sur Raspberry Pi ici et a la même erreur ?

Je tourne sur un Raspberry et tout fonctionne bien chez moi

1 Like

Oui moi aussi. Ça roule tout seul.
Et sur mobile, tu as essayé?

Oui, c’est l’image de mon 1er message.
Quand j’ai vu le message de Pierre-Gilles, je me suis connecté et j’ai vu que j’étais tjs en v4.0.0.
Quand j’ai réessayé plus tard, j’ai eu cette erreur.
J’ai la même chose sur Edge

Edit :
Sur mon autre PC, éteint depuis dimanche, sur lequel j’étais resté sur la page du bluetooth, voilà ce que j’ai, avant et après F5 :


bluetooth_JSON
bluetooth_donnees_brutes
bluetooth_en-tetes

@gaetanb76 l’erreur est assez clair: des fichiers du code de Gladys lié au front n’existent pas sur ta machine (le bug “stat” EIO me met la puce à l’oreille pour ça).

Etant donné qu’on distribue une image packagée dans une image Docker “all-in-one”, si ça marche chez d’autres ça veut dire que la mise à jour qui a été déployée est bonne, et que ce qui se passe chez toi est quelque chose de beaucoup plus bas niveau (problème système/matériel), ou alors que tu as fais des manipulations manuelles en SSH qui ont cassées ton installation.

Quelques questions:

  • Tu étais bien sur une installation de l’image raspbian officielle, que tu n’as pas touchée? Si tu as touché à l’image, qu’as-tu fais ?
  • Es-tu vraiment sûr à 100% que ce n’est pas un problème hardware? Au vu de tous les problèmes que tu as eu avec ton matériel, et cette nouvelle erreur dont la piste matérielle n’est pas négligeable, c’est la piste qui me semble la plus probable. Je me trompe peut-être mais ça ne m’étonnerait pas qu’il y ait un souci hardware derrière tout ça.

Oui, j’ai remarqué que c’était un problème d"affichage.
L’image que j’ai installée et celle disponible lorsque tu as indiqué le passage à la v4.0.0.
Les seules choses qui tournent dessus : caméra IP tplink (pas celle en usb), openweather, telegram et un module sonoff mini que j’ai passé en tasmota, avec création d’un brocker MQTT via Gladys. Une seule scène qui m’envoie un message chaque heure.
Pour le hardware, comment être sûr à 100% ? Mon Raspberry sort de la boîte d’achat, la carte SD a servi à Gladys beta, puis à la v4.
J’ai un autre Rpi3B+ neuf. Je referai une config, en partant de la v4.0.0, quand j’aurai le temps.

Du coup on est d’accord tu n’as rien fait sur l’image ? Aucunes actions en SSH ?